From 6b8c47d9507381a9813f18aeb9a3ce7b6c07f05f Mon Sep 17 00:00:00 2001
From: Niels Thykier <niels@thykier.net>
Date: Sun, 24 Jun 2018 08:20:31 +0000
Subject: [PATCH] Dh_Lib: Correct assignment of $build_profiles

Signed-off-by: Niels Thykier <niels@thykier.net>
---
 debian/changelog               | 8 ++++++++
 lib/Debian/Debhelper/Dh_Lib.pm | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 3aed2fc1..0671f395 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+debhelper (11.3.4) UNRELEASED; urgency=medium
+
+  * Dh_Lib.pm: Fix bug that made the parser assign the wrong
+    value from the Build-Profiles field.  Thanks to Sven Joachim
+    for reporting the bug.  (Closes: #902268)
+
+ -- Niels Thykier <niels@thykier.net>  Sun, 24 Jun 2018 08:19:16 +0000
+
 debhelper (11.3.3) unstable; urgency=medium
 
   [ Niels Thykier ]
diff --git a/lib/Debian/Debhelper/Dh_Lib.pm b/lib/Debian/Debhelper/Dh_Lib.pm
index 1bc6c10b..7d4b0115 100644
--- a/lib/Debian/Debhelper/Dh_Lib.pm
+++ b/lib/Debian/Debhelper/Dh_Lib.pm
@@ -1718,7 +1718,7 @@ sub getpackages {
 				# because if we work on a package with a Build-Profiles
 				# field, then a high enough version of dpkg-dev is needed
 				# anyways
-				my $build_profiles=$1;
+				my $build_profiles = $value;
 				eval {
 					require Dpkg::BuildProfiles;
 					my @restrictions=Dpkg::BuildProfiles::parse_build_profiles($build_profiles);
-- 
2.18.0

